Bug 870159 - 3.2 - storage: set block schedule elevator using udev
3.2 - storage: set block schedule elevator using udev
Status: CLOSED ERRATA
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.tune (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: 1.0.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
storage
: Improvement
: 881614 (view as bug list)
Depends On: 878511
Blocks: bootstrap-rewrite
  Show dependency treegraph
 
Reported: 2012-10-25 12:44 EDT by Alon Bar-Lev
Modified: 2016-02-10 15:21 EST (History)
12 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Enhancement
Doc Text:
Previously, the block schedule elevator was set by bootstrap modifying kernel command lines. This could cause porting problems because it assumes the use of the grub bootloader, that the kernel is active, and that the user did not override any default settings. Now, udev is used to set the block schedule elevator, so there is no bootloader dependency or conflict.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:15:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-10-25 12:44:17 EDT
commit 0e93e3adaba34d8e256734fc1e1374111e9f8301
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Sun Oct 21 14:57:19 2012 +0200

    storage: set block schedule elevator using udev
    
    CURRENT IMPLEMENTATION
    
    block schedule elevator is set by bootstrap using modification to kernel
    command-lines.
    
    PROBLEMS IN CURRENT IMPLEMENTATION
    
    1. assumption of grub bootloader.
    
    2. assumption of active kernel.
    
    3. assumption of user not override anything.
    
    4. problem to port.
    
    NEW IMPLEMENTATION
    
    Use udev in order to set the block schedule elevator.
    
    User may override behavior using udev rule, no bootloader dependency or
    conflict.
    
    The setting is applied also if vdsm is installed manually.
    
    Change-Id: I0a8de1c861bf4570509599b6f47235ed38cc424d
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>
Comment 1 Alon Bar-Lev 2012-10-25 12:45:21 EDT
http://gerrit.ovirt.org/#/c/8700/
Comment 5 Alon Bar-Lev 2012-12-03 12:33:35 EST
Change moved to ovirt-host-deploy, as with components such as tuned we will be able to set entire policy without relationship with vdsm.
We just need to wait until these are stabilize.
In the meantime we will put our own udev rule.

commit 1f0fcc2bba0e1811f436c9de8d1e01b08e7ada51
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Mon Dec 3 14:46:21 2012 +0200

    tune/iosched: set deadline iosched using udev rules
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=870159
    Change-Id: I96e5710729e79dd222047c03eb81b8cef1c0030d
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/#/c/9680/
Comment 6 Alon Bar-Lev 2012-12-03 12:34:45 EST
*** Bug 881614 has been marked as a duplicate of this bug. ***
Comment 8 Leonid Natapov 2013-02-05 07:06:54 EST
sf5.

[root@purple-vds2 rules.d]# cat /sys/block/sda/queue/scheduler
noop anticipatory [deadline] cfq 
[root@purple-vds2 rules.d]# mv 12-ovirt-iosched.rules /tmp
[root@purple-vds2 rules.d]# udevadm control --reload-rules
[root@purple-vds2 rules.d]# echo cfq > /sys/block/sda/queue/scheduler
[root@purple-vds2 rules.d]# udevadm trigger --type=devices
[root@purple-vds2 rules.d]# cat /sys/block/sda/queue/scheduler
noop anticipatory deadline [cfq] 


Also was tested when plugging in USB device .
Comment 9 Cheryn Tan 2013-04-03 02:52:54 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 10 errata-xmlrpc 2013-06-10 17:15:14 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.